ImageBorderRenderer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.render
Class ImageBorderRenderer

    java.lang.Object
      net.ctdp.rfdynhud.render.ImageBorderRenderer

All Implemented Interfaces:
  BorderRenderer

    public class ImageBorderRenderer

extends java.lang.Object
implements BorderRenderer

A ColoredBorder is a Border implementation with no Textures but only a color.

Author:
  Marvin Froehlich (CTDP) (aka Qudus)

Constructor Summary
`ImageBorderRenderer(java.lang.String imageFilename, TextureImage2D image)`

Method Summary
`void` | `drawBorder(java.awt.Color backgroundColor, BorderMeasures measures, TextureImage2D texture, int offsetX, int offsetY, int width, int height)`
`static void` | `drawBorderFromTexture(TextureImage2D borderTexture, BorderMeasures measures, TextureImage2D texture, int offsetX, int offsetY, int width, int height)`
`java.lang.String` | `getImageFilename()`
`TextureImage2D` | `getTexture()` Returns the border's texture.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageBorderRenderer

    public ImageBorderRenderer(java.lang.String imageFilename,
                               TextureImage2D image)

Method Detail

### getImageFilename

    public final java.lang.String getImageFilename()

### getTexture

    public final TextureImage2D getTexture()

  Returns the border's texture.

  Returns:
    the border's texture.

### drawBorderFromTexture

    public static void drawBorderFromTexture(TextureImage2D borderTexture,
                                             BorderMeasures measures,
                                             TextureImage2D texture,
                                             int offsetX,
                                             int offsetY,
                                             int width,
                                             int height)

### drawBorder

    public void drawBorder(java.awt.Color backgroundColor,
                           BorderMeasures measures,
                           TextureImage2D texture,
                           int offsetX,
                           int offsetY,
                           int width,
                           int height)

  Specified by:
    `drawBorder` in interface `BorderRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD